Subject: Re: [bug#38619] Byte compilation of Emacs autoloads

From: Maxim Cournoyer <[email-masked]>
Date: Fri, 28 Feb 2020 13:25:50 +0000

Hi Pierre!

On February 28, 2020 7:03:42 AM UTC, Pierre Neidhardt <[email-masked]> wrote:
>Hi Maxim,
>
>Maxim Cournoyer <[email-masked]> writes:
>
>> Eager macro-expansion failure: (file-missing "Searching for program"
>"No such file or directory" "git")
>> Searching for program: No such file or directory, git
>
>What's up with that?  Is this an problem in one of our packages?

It looks like evaluating the emacs-tuareg autoload file causes the message to be emitted. I'd look this way.

>>   ; "emacs-edbi" ;build fails
>>   ; "emacs-edbi-sqlite" ;(depends on emacs-edbi)

If I'm not mistaken, Efraim promptly fixed those already, after I reported it.

I'm closing this bug, since the changes have been merged to master.

Enjoy!

Maxim